## scikit-learn 0.18.1

=== debian/changelog ===
scikit-learn (0.18.1-1~nd14.04+1) trusty; urgency=medium

  * Backported for trusty.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 14 Nov 2016 15:33:08 -0500

scikit-learn (0.18.1-1) unstable; urgency=medium

  * Fresh bugfix (strongly advised to upgrade) release
  * debian/patches
    - many patches updated

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 13 Nov 2016 18:52:53 -0500
