## scikit-learn 0.19.0

=== debian/changelog ===
scikit-learn (0.19.0-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 11 Aug 2017 18:12:48 -0400

scikit-learn (0.19~b2-1) experimental; urgency=medium

  * Upcoming release beta
    - some deprecations in API
  * d/
    - boost compat to 9
    - boost policy to 3.9.8 (for now)
  * d/control
    - added pytest to b-depends and recommends
  * d/rules
    - for cython < 0.24 use pre-cythonized sources (to avoid FTBFS on 16.04)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 18 Jul 2017 15:35:44 -0400
