=== debian/changelog ===
scikit-learn (0.19.1-4build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 12:37:17 +0000

scikit-learn (0.19.1-4) unstable; urgency=medium

  * debian/control
    - build-depends on python-pil not deprecating -imaging (Closes: #894526)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 08 Apr 2018 10:02:12 -0400

scikit-learn (0.19.1-3) unstable; urgency=medium

  * debian/patches/changeset_6c99d797d7c71d216503612a242bffb8d006582d.diff
    to avoid regression due to forgotten in the release fix
    (see https://github.com/scikit-learn/scikit-learn/issues/9393)
    It seems that the issue is not deterministic, and although did not
    reveal itself on a buildd server, might come back.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 04 Jan 2018 08:02:20 -0500

scikit-learn (0.19.1-2) unstable; urgency=medium

  * debian/patches/deb_precisionloss
    - to mitigate a minor failing unittest on BE platforms
      (Closes: #883473)
  * debian/control
    - boosted policy to 4.1.2 (if something to be done, report a bug)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Dec 2017 22:42:37 -0500

scikit-learn (0.19.1-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 23 Oct 2017 15:59:32 -0400
