=== debian/control ===
--- 
+++ 
@@ -23,8 +23,8 @@
                libsvm-dev (>= 2.84.0),
                libatlas3-base,
 Build-Depends-Indep:
-               python-sphinx (>= 1.0), python-imaging, graphviz,
-Standards-Version: 3.9.8
+               python-sphinx (>= 1.0), python-pil, graphviz,
+Standards-Version: 4.1.2
 X-Python-Version: >= 2.6
 Homepage: http://scikit-learn.sourceforge.net
 Vcs-Browser: http://github.com/yarikoptic/scikit-learn
