## scikit-learn 0.20.0+dfsg

=== debian/changelog ===
scikit-learn (0.20.0+dfsg-2~nd18.04+1) bionic; urgency=medium

  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 08 Nov 2018 11:02:32 -0500

scikit-learn (0.20.0+dfsg-2) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * dump debhelper compat to 9 to ease backportability. Added a note to
    debian/README.source
    - with that it correctly places numerous examples within -doc package
      instead of a selected pure python- one
  * debian/rules
    - removed running doctests on python3 as well -- output fluctuates across
      platforms and releases
    - skip tests marked "network" (requiring download of some test datasets)
    - invoke show_versions() for all pythons before running tests
  * debian/patches
    + Skip some tests if joblib is forced into serial mode
      (from https://github.com/scikit-learn/scikit-learn/pull/12496)
      0001-BF-skip-test_backend_respected-if-joblib-is-forced-i.patch
      0002-BF-TST-skip-test_lr_liblinear_warning-in-joblib-seri.patch

  [ Mo Zhou <cdluminate@gmail.com>]
  * debian/rules
    - skip some tests which show problems on some architectures

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 07 Nov 2018 21:29:46 -0500

scikit-learn (0.20.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille <tille@debian.org> ]
  * New upstream release
    Closes: #907806
  * Move to Debian Science team maintenance
  * Maintained at salsa.debian.org
  * d/watch:
     - Point to pypi since releases are not tagged reliably at Github
     - Use repacksuffix=+dfsg, compression=xz
     - Inject '~' between version number and rc to sort real release highter
  * d/control: Use Files-Excluded to remove files from upstream source
  * d/gbp.conf: Strip default and unusual options

  [ Yangfl <mmyangfl@gmail.com> ]
  * Introduce dh_sphinxdoc (Closes: #859149)
  * Refresh d/copyright
  * Add autopkgtests
  * d/compat
    - bump debhelper compat to 11
  * d/control
    - remove deprecated X-Python*-Version fields
    - remove build dep dh-autoreconf and cython
    - add build dep dh-python
    - add build dep librsvg2-bin, python3-sphinx-gallery, python3-numpydoc,
      python3-pandas and python3-skimage, required by doc building
    - add build dep python3-doc, python-numpy-doc, python-scipy-doc and
      python-matplotlib-doc for intersphinx mappings
    - add dep libjs-{bootstrap,mathjax} for python-sklearn-doc
    - fix Recommends python3-pytest of python3-sklearn
    - switch to Python 3 doc build dep
    - bump standard to 4.2.1
  * d/patches
    - add disable-doctest.patch to prevent Python 2 doctest failure
    - add no-buttons-js.patch
    - add no-download-intersphinx-mapping.patch
    - add parallel-cythonize.patch
    - update deb_use_system_joblib to fix test failure
    - update deb_no_online_jquery
    - remove deb_optional_linkcode
  * d/rules
    - switch from python_distutils to pybuild
    - rewrite

  [ Mo Zhou <cdluminate@gmail.com> ]
  * Fixup autopkgtest for python3.

 -- Yangfl <mmyangfl@gmail.com>  Mon, 22 Oct 2018 13:34:15 +0000
