## scikit-learn 0.20.1+dfsg

=== debian/changelog ===
scikit-learn (0.20.1+dfsg-1) unstable; urgency=medium

  * New upstream bugfix
  * debian/patches
    - dropping all 00* which were cherrypicked or upstream, and refreshing
      the rest
  * cd to .pybuild to run show_versions()

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 28 Nov 2018 20:44:02 -0500
