=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: scikit-learn
 Section: python
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 9~),
                dh-python,
@@ -45,7 +44,7 @@
 Replaces: python-scikits-learn (<< 0.9~)
 Breaks: python-scikits-learn (<< 0.9~)
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
+Depends: ${misc:Depends}, ${python:Depends}, python-numpy, python-scipy, python-sklearn-lib(>= ${source:Version}),
          python-joblib (>= 0.9.2),
 Provides: ${python:Provides}
 Recommends: python-nose, python-pytest, python-matplotlib
@@ -64,7 +63,7 @@
 Conflicts: python-scikits-learn-lib
 Replaces: python-scikits-learn-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy
 Provides: ${python:Provides}
 Description: low-level implementations and bindings for scikit-learn
  This is an add-on package for python-sklearn. It provides
@@ -73,7 +72,7 @@
 
 Package: python3-sklearn
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-sklearn-lib(>= ${source:Version}),
+Depends: ${misc:Depends}, ${python3:Depends}, python3-numpy, python3-scipy, python3-sklearn-lib(>= ${source:Version}),
          python3-joblib (>= 0.9.2),
 Recommends: python3-nose, python3-pytest, python3-matplotlib
 Suggests: python3-dap, python-sklearn-doc, ipython3
@@ -92,7 +91,7 @@
 
 Package: python3-sklearn-lib
 Architecture: any
-Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy
 Provides: ${python3:Provides}
 Description: low-level implementations and bindings for scikit-learn - Python 3
  This is an add-on package for python-sklearn. It provides
@@ -107,7 +106,7 @@
 Replaces: python-scikits-learn-doc
 Architecture: all
 Section: doc
-Depends: neurodebian-popularity-contest, ${misc:Depends},
+Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-bootstrap,
          libjs-mathjax,
